chol2inv {base} | R Documentation

## Inverse from Choleski Decomposition

### Description

Invert a symmetric, positive definite square matrix from its Choleski decomposition.

### Usage

    chol2inv(x, size = ncol(x))

### Arguments

`x` | a matrix. The first `nc` columns of the upper triangle contain the Choleski decomposition of the matrix to be inverted.
`size` | the number of columns of `x` containing the Choleski decomposition.

### Value

The inverse of the decomposed matrix.

### References

Dongarra, J. J., Bunch, J. R., Moler, C. B. and Stewart, G. W. (1978) LINPACK Users Guide. Philadelphia: SIAM Publications.

### See Also

`chol`, `solve`.

### Examples

    cma <- chol(ma  <- cbind(1, 1:3, c(1,3,7)))
    t(cma) %*% cma # = ma
    all.equal(diag(3), ma %*% chol2inv(cma))